package org.jbpm.test;

import org.jbpm.api.ProcessInstance;

public class CustomTest extends JbpmTestCase {

  String deploymentId;
  
  protected void setUp() throws Exception {
    super.setUp();
    
    deploymentId = repositoryService.createDeployment()
        .addResourceFromClasspath("process.jpdl.xml")
        .deploy();
  }

  protected void tearDown() throws Exception {
    repositoryService.deleteDeploymentCascade(deploymentId);
    
    super.tearDown();
  }

  public void testProcess() {
    ProcessInstance processInstance = executionService.startProcessInstanceByKey("settleProcess");
    assertProcessInstanceEnded(processInstance);
  }
}