/*******************************************************************************
 * Copyright (c) 2001, 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.jbpm.test;

import java.util.List;
import org.jbpm.jpdl.internal.activity.JoinActivity;
import org.jbpm.pvm.internal.model.Activity;
import org.jbpm.pvm.internal.model.ExecutionImpl;

/**
 *
 */
public class RepetableJoinActivity extends JoinActivity {

    @Override
    protected boolean isComplete(List<ExecutionImpl> joinedExecutions, Activity activity) {
        for(ExecutionImpl execution : joinedExecutions){
            Object forkDone = execution.getVariable(
                    ActivityShareInfo.JoinCompleteIndicator.name);
            if(forkDone != null)
               return true;
        }

        return false;
    }
}